using System.Drawing;

namespace Experior.Catalog
{
    public class Conveyors : Experior.Core.Catalog
    {
        public Conveyors()
            : base("Conveyors")
        {

            Simulation = Experior.Core.Environment.Simulation.Events | Experior.Core.Environment.Simulation.Physics;

            Common.Meshes = new Experior.Core.Resources.Meshes(System.Reflection.Assembly.GetExecutingAssembly());
            Common.Icons = new Experior.Core.Resources.Icons(System.Reflection.Assembly.GetExecutingAssembly());

            Add(Common.Icons.Get("MyConveyor"), "MyConveyor", "", Experior.Core.Environment.Simulation.Events | Experior.Core.Environment.Simulation.Physics);

        }
        public override Image Logo
        {
            get
            {
                return Common.Icons.Get("Logo");
            }
        }

        public override Experior.Core.Assemblies.Assembly Construct(string title, string subtitle, object properties)
        {
            if (title == "MyConveyor")
                return Create.MyAssembly();

            return null;
        }

    }
}
